<template lang="pug">
.beowulfasia

  .navigation_master
    a(v-for="text, id in navigation_master" :id="id"
      @mouseover="mouseOver"
      @mouseleave="mouseLeave") {{text}}

  .navigation_main
    a(v-for="text, id in navigation_main" :id="id"
      @mouseover="mouseOver"
      @mouseleave="mouseLeave") {{text}}

  .navigation_numbers
    a(v-for="text, id in navigation_numbers" :id="id"
      @mouseover="mouseOver"
      @mouseleave="mouseLeave") {{text}}        

  .navigation_categories
    a.item0(v-for="(text, id, cnt) in navigation_categories" :id="id")
      a#num(
        @mouseover="mouseOver"
        @mouseleave="mouseLeave"
      ) {{navigation_numbers[cnt+1]}}
      a#txt(
        @mouseover="mouseOver"
        @mouseleave="mouseLeave"
      ) {{text}}    

  .status
    a#footmsg Tokyo
    // a#resolution {{this.$store.state.win.W}} x {{this.$store.state.win.H}}

</template>

<script>
import 'axios'
import Process from "@/components/PCS/Process.vue"
export default {
  name: 'BeowulfAsia',
  components: {
    Process
  },
  data: () =>{
    return {
      navigation_master: {
        beowulf_asia: "BEOWULF ASIA",
        center_message: "Website Under Construction",
        private_collection: "Private Collection",
      },
      navigation_main: {
        art_agency: "ART AGENCY",
        about: "ABOUT",
        team: "TEAM",
        press: "PRESS",
        news: "NEWS",
        contact: "CONTACT",
        language: "EN",
      },
      navigation_numbers: {
          '1':'一',
          '2':'二',
          '3':'三',
          '4':'四',
          '5':'五',
          '6':'六',
          '7':'七',
          '8':'八',
      },
      navigation_categories: {
        '一':'CURATORIAL PROJECTS',
        '二':'BUILDING COLLECTIONS',
        '三':'ART INVESTMENT',
        '四':'THE NEW PATRONS CLUB',
        '五':'PUBLIC PRIVATE',
        '六':'RESEARCH / EDUCATIONAL',
        '七':'PUBLISHING',
        '八':'PHILANTROPY',
      },
    }
  },
  created(){
  },
  methods: {
  },
  computed: {
    mouseOver: (event) => {
      console.log('mouseOver -> ' + event)
    },
    mouseLeave: (event) => {
      console.log('mouseLeave -> ' + event)
    },
  }
}
</script>

<style lang="stylus">

@media (min-width:2500px) and (max-width: 3840px)

  .beowulfasia
    grid-column 1 / span 100
    grid-row    1 / span 100
    display grid
    grid-template-columns repeat(10, 10%)
    grid-template-rows    repeat(20, 5%)   

    .navigation_master
      grid-column 1 / span 10
      grid-row    1
      display grid
      grid-template-columns repeat(10, 10%)
      grid-template-rows    repeat(1, 100%)

      #beowulf_asia
        grid-column 1 / span 3
        font-size 222%        
      #center_message
        grid-column 4 / span 4
        font-size 120%        
      #private_collection
        grid-column 9 /span 2

    .navigation_main
      grid-column 1 / span 10
      grid-row    2
      display grid
      grid-template-columns repeat(7, 14.28571%)
      grid-template-rows    repeat(1, 100%)
      font-size 130%        

    .navigation_numbers
      grid-column 1
      grid-row    3 / span 17
      display grid
      grid-template-columns repeat(1, 100%)
      grid-template-rows    repeat(8, 12.5%)
      font-size 200%

    .navigation_categories
      grid-column 2 / span 9
      grid-row    3 / span 17
      display grid
      grid-template-columns repeat(4, 25%)
      grid-template-rows    repeat(2, 50%)

      .item0
        max-width 100%
        max-height 100%
        display grid
        grid-template-columns repeat(1, 100%)
        grid-template-rows    repeat(10, 10%)

        #num
          grid-row 4 / span 2
          font-size 400%
        #txt 
          grid-row 6
          font-size 130%

    .processus
      grid-column 1 / span 10
      grid-row 3 / span 6
      display grid
      grid-template-columns repeat(4, 25%)
      grid-template-rows    repeat(2, 50%)                           

    .status
      grid-column 1 / span 10
      grid-row 20
      display grid
      grid-template-columns repeat(10, 10%)
      grid-template-rows    repeat(1, 100%)
      #footmsg
        grid-column 5 / span 2
        font-size 188%

@media (min-width:1921px) and (max-width: 2500px)

  .beowulfasia
    grid-column 1 / span 100
    grid-row    1 / span 100
    display grid
    grid-template-columns repeat(10, 10%)
    grid-template-rows    repeat(20, 5%)   

    .navigation_master
      grid-column 2 / span 8
      grid-row    1
      display grid
      grid-template-columns repeat(10, 10%)
      grid-template-rows    repeat(1, 100%)   

      #beowulf_asia
        grid-column 1 / span 3
        font-size 222%        
      #center_message
        grid-column 4 / span 4
        font-size 120%        
      #private_collection
        grid-column 9 /span 2
        font-size 112%      


    .navigation_main
      grid-column 1 / span 10
      grid-row    2
      display grid
      grid-template-columns repeat(7, 14.28571%)
      grid-template-rows    repeat(1, 100%)


    .processus
      grid-column 1 / span 10
      grid-row 3 / span 6
      display grid
      grid-template-columns repeat(4, 25%)
      grid-template-rows    repeat(2, 50%)   

    .status
      grid-column 1 / span 10
      grid-row 20
      display grid
      grid-template-columns repeat(10, 10%)
      grid-template-rows    repeat(1, 100%)
      #footmsg
        grid-column 5 / span 2
        font-size 188%

@media (min-width:1300px) and (max-width: 1920px)

  .beowulfasia
    grid-column 1 / span 100
    grid-row    1 / span 100
    display grid
    grid-template-columns repeat(10, 10%)
    grid-template-rows    repeat(20, 5%)   

    .navigation_master
      grid-column 1 / span 10
      grid-row    1
      display grid
      grid-template-columns repeat(10, 10%)
      grid-template-rows    repeat(1, 100%)   


      #beowulf_asia
        grid-column 1 / span 3
        font-size 188%        
      #center_message
        grid-column 4 / span 4
        font-size 120%        
      #private_collection
        grid-column 9 /span 2
        font-size 100%        

    .navigation_main
      grid-column 1 / span 10
      grid-row    2
      display grid
      grid-template-columns repeat(7, 14.28571%)
      grid-template-rows    repeat(1, 100%)


    .processus
      grid-column 1 / span 10
      grid-row 2 / span 6
      display grid
      grid-template-columns repeat(4, 25%)
      grid-template-rows    repeat(2, 50%)   
                    
    .status
      grid-column 1 / span 10
      grid-row 20
      display grid
      grid-template-columns repeat(10, 10%)
      grid-template-rows    repeat(1, 100%)
      #footmsg
        grid-column 5 / span 2
        font-size 166%        

@media (max-width: 1300px)        

  .beowulfasia
    grid-column 1 / span 100
    grid-row    1 / span 100
    display grid
    grid-template-columns repeat(10, 100%)
    grid-template-rows    repeat(10, 10%)   

    .navigation_master
      grid-column 1
      grid-row    1 / span 2
      display grid
      grid-template-columns repeat(10, 10%)
      grid-template-rows    repeat(2, 50%)   

      #beowulf_asia
        grid-column 1 / span 5
        grid-row 1
        font-size 150%
      #center_message
        grid-column 1 / span 10
        grid-row 2
        font-size 80%
      #private_collection
        grid-column 9 / span 2
        grid-row 1
        font-size 100%

    .navigation_main
      grid-column 1
      grid-row    3 / span 7
      display grid
      grid-template-columns repeat(1, 100%)
      grid-template-rows    repeat(7, 14.28571%)


    // .processus
    //   grid-column 1  / span 10
    //   grid-row 3 / span 37
    //   display grid
    //   grid-template-columns repeat(1, 100%)
    //   grid-template-rows    repeat(8, 12.5%)   

    .status
      grid-column 1
      grid-row 10
      display grid
      grid-template-columns repeat(1, 100%)
      grid-template-rows    repeat(2, 50%)
      #footmsg
        grid-row 1
      #resolution
        grid-row 2
        font-size 60%

a
  display flex
  align-items center
  justify-content center
  color white
</style>
